Collapsible for Javascript

Updated on May 17, 2021
Learn More

Use the collapsible and accordion to make custom panels, form groups and cards collapsible one by one or alternate close & open. Use it to segment long forms and content or use it for progressive disclosure.


Collapsible and accordion demos available for other frameworks.

Viewing demos & code for

Javascript Collapsible Collapsible for Javascript

Collapsible - Collapsible form group

Change demo
Collapsible form group
Javascript Collapsible panel demo. Use it to segment long forms by making field groups expandable/collapsible. Plain JS api for usage everywhere.
Copy code
mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
}

var collapsibles = document.querySelectorAll('[data-collapsible]');

document
    .getElementById('close-all')
    .addEventListener('click', function () {
        for (var i = 0; i < collapsibles.length; ++i) {
            mobiscroll.instances[collapsibles[i].id].hide();
        }
    })


document
    .getElementById('toggle-first')
    .addEventListener('click', function () {
        mobiscroll.instances[collapsibles[0].id].toggle();
    })
<div mbsc-form>
    <div class="mbsc-align-center">
        <div class="mbsc-note mbsc-note-primary">Use collapsible groups for segmenting long forms and to hide content.</div>
    </div>
    <div class="mbsc-btn-group-block">
        <button mbsc-button id="toggle-first">Toggle first group</button>
        <button mbsc-button id="close-all">Close all groups</button>
    </div>
    <div class="mbsc-form-group" data-collapsible data-open>
        <div class="mbsc-form-group-title">
            Contact details
        </div>
        <div class="mbsc-form-group-content">
            <label>
                First Name
                <input mbsc-input type="text"  name="first" placeholder="Your first name" />
            </label>
            <label>
                Last Name
                <input mbsc-input type="text" name="last" placeholder="Your last name" />
            </label>
            <label>
                Company
                <input mbsc-input type="text" placeholder="Company if applicable" />
            </label>
            <label>
                Phone
                <input mbsc-input type="tel" placeholder="Your phone number" />
            </label>
            <label>
                Email
                <input mbsc-input type="email" placeholder="Your email address" name="email" />
            </label>
        </div>
    </div>

    <div class="mbsc-form-group" data-collapsible>
        <div class="mbsc-form-group-title">
            Shipping address
        </div>
        <div class="mbsc-form-group-content">
            <label>
                Address
                <textarea mbsc-textarea placeholder="Shipping address"></textarea>
            </label>
            <label>
                City
                <input mbsc-input type="text" placeholder="City" />
            </label>
            <label>
                State/Region
                <input mbsc-input type="text" placeholder="State/Region" />
            </label>
            <label>
                Zip
                <input mbsc-input type="text" placeholder="Zip/Postal code" />
            </label>
            <label>
                Country
                <select mbsc-dropdown>
                    <option>Please Select</option>
                </select>
            </label>

        </div>
    </div>

    <div class="mbsc-form-group" data-collapsible>
        <div class="mbsc-form-group-title">
            Payment details
        </div>

        <div class="mbsc-form-group-content">
            <label>
                Name
                <input mbsc-input type="text" placeholder="Name on card" />
            </label>
            <label>
                Card
                <input mbsc-input type="text" class="md-card-num" placeholder="Credit card number" />
            </label>
            <label>
                Expiration
                <select mbsc-dropdown>
                    <option>12/2018</option>
                    <option>01/2019</option>
                    <option>02/2019</option>
                </select>
            </label>
            <label>
                Security
                <input mbsc-input type="number" placeholder="3-digit CVV" />
            </label>
        </div>
    </div>
</div>

Collapsible - Accordion

Change demo
Accordion
Javascript Accordion demo with a one open/expanded panel. Use it let users focus on a single piece of content at a time. Plain JS api for usage everywhere.
Copy code

Collapsible - Collapsible cards

Change demo
Collapsible cards
Javascript Collapsible cards example. Use it to show/conceal card content. Expand and collapse on card header click. Plain JS api for usage everywhere.
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Collapsible for Angular and Ionic Framework

Updated on May 17, 2021
Learn More

Use the collapsible and accordion to make custom panels, form groups and cards collapsible one by one or alternate close & open. Use it to segment long forms and content or use it for progressive disclosure.


Collapsible and accordion demos available for other frameworks.

Viewing demos & code for

Angular and Ionic Collapsible Collapsible for Angular and Ionic Framework

Collapsible - Collapsible form group

Change demo
Collapsible form group
Angular Collapsible panel demo. Use it to segment long forms by making field groups expandable/collapsible. For Angular 22 and Ionic 8.
Copy code
import { Component, ViewChild } from '@angular/core';
import { MbscFormOptions } from '@mobiscroll/angular';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    @ViewChild('contactDetails')
    cd: any;
    @ViewChild('shippingDetails')
    sd: any;
    @ViewChild('paymentDetails')
    pd: any;

    formSettings: MbscFormOptions = {
        lang: ' ',
        theme: ' ',
        themeVariant: ' '
    };

    closeAll() {
        this.cd.instance.hide();
        this.pd.instance.hide();
        this.sd.instance.hide();
    }

    toggleFirst() {
        this.cd.instance.toggle();
    }
}
<mbsc-form [options]="formSettings">
    <mbsc-note color="primary">Use collapsible groups for segmenting long forms and to hide content.</mbsc-note>

    <div class="mbsc-btn-group-block">
        <mbsc-button (click)="toggleFirst()">Toggle first group</mbsc-button>
        <mbsc-button (click)="closeAll()">Close all groups</mbsc-button>
    </div>

    <mbsc-form-group collapsible open #contactDetails>
        <mbsc-form-group-title>Contact details</mbsc-form-group-title>
        <mbsc-form-group-content>
            <mbsc-input placeholder="Your first name">First Name</mbsc-input>
            <mbsc-input placeholder="Your last name">Last Name</mbsc-input>
            <mbsc-input placeholder="Company if applicable">Company</mbsc-input>
            <mbsc-input type="tel" placeholder="Phone" placeholder="Your phone number">Phone</mbsc-input>
            <mbsc-input type="email" placeholder="Phone" placeholder="Your email address">Email</mbsc-input>
        </mbsc-form-group-content>
    </mbsc-form-group>

    <mbsc-form-group collapsible #shippingDetails>
        <mbsc-form-group-title>Shipping address</mbsc-form-group-title>
        <mbsc-form-group-content>
            <mbsc-textarea placeholder="Shipping address">Address</mbsc-textarea>
            <mbsc-input placeholder="City">City</mbsc-input>
            <mbsc-input placeholder="State/Region">State/Region</mbsc-input>
            <mbsc-input placeholder="Zip">Zip/Postal code</mbsc-input>
            <mbsc-dropdown label="Country">
                <option>Please Select</option>
            </mbsc-dropdown>
        </mbsc-form-group-content>
    </mbsc-form-group>

    <mbsc-form-group collapsible #paymentDetails>
        <mbsc-form-group-title>Payment details</mbsc-form-group-title>
        <mbsc-form-group-content>
            <mbsc-input placeholder="Name on card">Name</mbsc-input>
            <mbsc-input placeholder="Credit card number">Card</mbsc-input>
            <mbsc-dropdown label="Expiration">
                <option>12/2018</option>
                <option>01/2019</option>
                <option>02/2019</option>
            </mbsc-dropdown>
            <mbsc-input type="number" placeholder="3-digit CVV">Security</mbsc-input>
        </mbsc-form-group-content>
    </mbsc-form-group>

</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Collapsible - Accordion

Change demo
Accordion
Angular Accordion demo with a one open/expanded panel. Use it let users focus on a single piece of content at a time. For Angular 22 and Ionic 8.
Copy code

Collapsible - Collapsible cards

Change demo
Collapsible cards
Angular Collapsible cards example. Use it to show/conceal card content. Expand and collapse on card header click. For Angular 22 and Ionic 8.
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos